#
# spec file for package ed
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ed
Version:        1.9
Release:        5.5
Summary:        GNU ed is a line-oriented text editor
License:        GPL-3.0+ and LGPL-2.1+
Group:          Productivity/Editors/Other
Url:            http://www.gnu.org/software/ed/
Source0:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        ed.keyring
Requires(pre):   %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU ed is a line-oriented text editor. It is used to create, display,
modify and otherwise manipulate text files, both interactively and via
shell scripts. A restricted version of ed, red, can only edit files in
the current directory and cannot execute shell commands. Ed is the
"standard" text editor in the sense that it is the original editor for
Unix, and thus widely available. For most purposes, however, it is
superseded by full-screen editors such as GNU Emacs or GNU Moe.

%prep
%setup -q
sed -i \
    -e "s/CFLAGS='.*/CFLAGS='%{optflags}'/" \
    -e "s/CXXFLAGS='.*/CXXFLAGS='%{optflags}'/" \
    configure

%build
%{configure}
make %{?_smp_mflags}

%install
%{makeinstall}
#UsrMerge
%{__install} -d -m 0755 %{buildroot}/bin
%{__ln_s} %{_bindir}/ed %{buildroot}/bin/ed
#UsrMerge

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
/bin/%{name}
%{_bindir}/%{name}
%{_bindir}/r%{name}
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man1/%{name}.1.gz
%doc %{_mandir}/man1/r%{name}.1.gz

%post
%install_info --entry="* ed: (ed). Line-oriented text editor" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
* Tue Jul 16 2013 mvyskocil@suse.com
- update to 1.9
  + Testsuite no more feeds shell scripts to ed.
  + "configure" now accepts options with a separate argument.
* Mon Jun 17 2013 coolo@suse.com
- revert the use gpg-offline for bootstrap packages
* Fri Apr 26 2013 mvyskocil@suse.com
- update to 1.8
  + Ed now stops reading stdin when reaching real End Of File the first
    time. (Before it needed to reach EOF twice).
  + Show the "Try 'ed --help' for more information." message if a bad
    option is given in the command line.
  + Quote characters in messages have been changed as advised by GNU
    Coding Standards.
  + The description of address offsets in the manual and a link to the
    Bash manual have been fixed.
  + Displaying of null characters by the "l" command has been fixed.
  + The condition deciding when to show the message "Newline appended" has
    been corrected.
  + The "modified" flag is now set when reading a non-empty file into
    an empty buffer.
  + An error that prevented using NUL characters in regular expressions
    has been fixed.
  + Ed now signals an error if it can't create a shell process when
    executing a shell command.
  + Ed now flushes stdout/stderr before reading a new command.
  + Man page is now generated with "help2man". All command-line options
    are now documented in the man page.
- use gpg-offline to verify the package tarball
- adapt the Summary and Description according current README
* Tue Mar 26 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Tue Oct 23 2012 cfarrell@suse.com
- license update: GPL-3.0+ and LGPL-2.1+
  Semicolon is ambiguous
* Fri Feb  3 2012 rschweikert@suse.com
- switch license to spdx format
- keep executable in /usr (UsrMerge project)
* Mon Jan  2 2012 dlovasko@suse.com
- Update to 1.6 (bugfix release)
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Sun Sep 19 2010 vuntz@opensuse.org
- Update to version 1.5:
  + The "a", "c" and "i" commands have been fixed. (When used in a
    global command list, the commands following them in the list
    were ignored).
  + The "e" command has been fixed. (It quitted when invoked a
    second time with a modified buffer).
  + The new option "--restricted" has been added.
  + "red" has been converted to a script invoking "ed
  - -restricted".
  + Description of ed in the manual has been changed.
  + Obsolete posix tests have been removed from testsuite.
- Remove AutoReqProv: it's default now.
* Mon Nov 30 2009 mvyskocil@suse.cz
- updated to latest upstream version 1.4 - major rewrite and bugfixes (see
  Changelog for details)
- obsoleted all patches
* Fri Oct 20 2006 lrupp@suse.de
- revert to 0.2: new version is broken (#212749)
* Mon Oct  9 2006 agruen@suse.de
- dash-option.diff: Fix `ed - filename' invocation.
* Mon Oct  9 2006 schwab@suse.de
- Update to ed 0.3-pre2.
  * The symlink vulnerability has been fixed using the "tmpfile" function.
  * The manual has been updated.
  * An extensive code cleanup has been done.
- Fix signal handing again.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct  1 2004 schwab@suse.de
- Fix signal handling
  (<http://lists.gnu.org/archive/html/bug-gnu-utils/2004-09/msg00123.html>).
* Fri Sep 10 2004 schwab@suse.de
- Don't use __P from glibc headers.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Apr 15 2003 coolo@suse.de
- use BuildRoot
* Mon Mar  3 2003 ro@suse.de
- fixed typo in dir entry
* Mon Mar  3 2003 ro@suse.de
- added info dir entry
* Fri Feb  7 2003 ro@suse.de
- use install_info macros
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Dec 19 2000 werner@suse.de
- Close temporary file security hole
* Fri Feb 25 2000 kukuk@suse.de
- Use RPM_OPT_FLAGS
- Move /usr/{info,man} -> /usr/share/{info,man}
* Sat Nov  6 1999 bs@suse.de
- moved binary to /bin/ed and provide symlink /usr/bin/ed
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
